package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "upns_organ_base")
@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
public class UpNsOrganBaseDO extends UuidIdentityEntity {
    private String organ_code;
    private String organ_name;
    private String corporation;
    private String no_pra_lic;
    private String  second_organ_name;
    private String charge_person;
    private String org_levelorgan_type;
    private String economic_type;
    private String organ_type;
    private String organ_sub;
    private String hospital_district;
    private String hospital_address;
    private String hospital_phone;
    private String hospital_img;
    private String bus_lic;
    private String corp_idcord_head;
    private String corp_idcord_tail;
    private String pra_lic;
    private String net_service;
    private String net_service_ot;
    private String service_dept;
    private String txt_introduction;
    private String protocol_type;
    private String protocol_content;
    private String publish_date;
    private String protocol_name;
    private String quai_mang_dept;
    private String info_mang_dept;
    private String medi_service_dept;
    private String server_type;
    private String server_total;
    private String server_ip;
    private String mp_system_type;
    private String mp_system_total;
    private String tran_link;
    private String tran_link_band;
    private String server_system_name;
    private String server_system_ip;
    private String tech_manual;
    private String server_manual;
    private String secu_level;
    private String secu_level_cert;
    private String emr_level;
    private String emr_level_cert;
    private String zone_record_share;
    private String prov_monitor;
    private String prov_service;
    private String server_func;
    private String third_compeny_name;
    private String third_compeny_code;
    private String third_compeny_cert;
    private String third_compeny_corp;
    private String third_compeny_corp_id;
    private String third_compeny_prot;
    private String green_road;
    private Date create_time;
    private Date update_time;
    private String is_del;
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "organ_code")
    public String getOrgan_code() {
        return organ_code;
    }

    public void setOrgan_code(String organ_code) {
        this.organ_code = organ_code;
    }
    @Column(name = "organ_name")
    public String getOrgan_name() {
        return organ_name;
    }

    public void setOrgan_name(String organ_name) {
        this.organ_name = organ_name;
    }
    @Column(name = "corporation")
    public String getCorporation() {
        return corporation;
    }

    public void setCorporation(String corporation) {
        this.corporation = corporation;
    }
    @Column(name = "no_pra_lic")
    public String getNo_pra_lic() {
        return no_pra_lic;
    }

    public void setNo_pra_lic(String no_pra_lic) {
        this.no_pra_lic = no_pra_lic;
    }
    @Column(name = " second_organ_name")
    public String getSecond_organ_name() {
        return second_organ_name;
    }

    public void setSecond_organ_name(String second_organ_name) {
        this.second_organ_name = second_organ_name;
    }
    @Column(name = "charge_person")
    public String getCharge_person() {
        return charge_person;
    }

    public void setCharge_person(String charge_person) {
        this.charge_person = charge_person;
    }
    @Column(name = "org_levelorgan_type")
    public String getOrg_levelorgan_type() {
        return org_levelorgan_type;
    }

    public void setOrg_levelorgan_type(String org_levelorgan_type) {
        this.org_levelorgan_type = org_levelorgan_type;
    }
    @Column(name = "economic_type")
    public String getEconomic_type() {
        return economic_type;
    }

    public void setEconomic_type(String economic_type) {
        this.economic_type = economic_type;
    }
    @Column(name = "organ_type")
    public String getOrgan_type() {
        return organ_type;
    }

    public void setOrgan_type(String organ_type) {
        this.organ_type = organ_type;
    }
    @Column(name = "organ_sub")
    public String getOrgan_sub() {
        return organ_sub;
    }

    public void setOrgan_sub(String organ_sub) {
        this.organ_sub = organ_sub;
    }
    @Column(name = "hospital_district")
    public String getHospital_district() {
        return hospital_district;
    }

    public void setHospital_district(String hospital_district) {
        this.hospital_district = hospital_district;
    }
    @Column(name = "hospital_address")
    public String getHospital_address() {
        return hospital_address;
    }

    public void setHospital_address(String hospital_address) {
        this.hospital_address = hospital_address;
    }
    @Column(name = "hospital_phone")
    public String getHospital_phone() {
        return hospital_phone;
    }

    public void setHospital_phone(String hospital_phone) {
        this.hospital_phone = hospital_phone;
    }
    @Column(name = "hospital_img")
    public String getHospital_img() {
        return hospital_img;
    }

    public void setHospital_img(String hospital_img) {
        this.hospital_img = hospital_img;
    }
    @Column(name = "bus_lic")
    public String getBus_lic() {
        return bus_lic;
    }

    public void setBus_lic(String bus_lic) {
        this.bus_lic = bus_lic;
    }
    @Column(name = "corp_idcord_head")
    public String getCorp_idcord_head() {
        return corp_idcord_head;
    }

    public void setCorp_idcord_head(String corp_idcord_head) {
        this.corp_idcord_head = corp_idcord_head;
    }
    @Column(name = "corp_idcord_tail")
    public String getCorp_idcord_tail() {
        return corp_idcord_tail;
    }

    public void setCorp_idcord_tail(String corp_idcord_tail) {
        this.corp_idcord_tail = corp_idcord_tail;
    }
    @Column(name = "pra_lic")
    public String getPra_lic() {
        return pra_lic;
    }

    public void setPra_lic(String pra_lic) {
        this.pra_lic = pra_lic;
    }
    @Column(name = "net_service")
    public String getNet_service() {
        return net_service;
    }

    public void setNet_service(String net_service) {
        this.net_service = net_service;
    }
    @Column(name = "net_service_ot")
    public String getNet_service_ot() {
        return net_service_ot;
    }

    public void setNet_service_ot(String net_service_ot) {
        this.net_service_ot = net_service_ot;
    }
    @Column(name = "service_dept")
    public String getService_dept() {
        return service_dept;
    }

    public void setService_dept(String service_dept) {
        this.service_dept = service_dept;
    }
    @Column(name = "txt_introduction")
    public String getTxt_introduction() {
        return txt_introduction;
    }

    public void setTxt_introduction(String txt_introduction) {
        this.txt_introduction = txt_introduction;
    }
    @Column(name = "protocol_type")
    public String getProtocol_type() {
        return protocol_type;
    }

    public void setProtocol_type(String protocol_type) {
        this.protocol_type = protocol_type;
    }
    @Column(name = "protocol_content")
    public String getProtocol_content() {
        return protocol_content;
    }

    public void setProtocol_content(String protocol_content) {
        this.protocol_content = protocol_content;
    }
    @Column(name = "publish_date")
    public String getPublish_date() {
        return publish_date;
    }

    public void setPublish_date(String publish_date) {
        this.publish_date = publish_date;
    }
    @Column(name = "protocol_name")
    public String getProtocol_name() {
        return protocol_name;
    }

    public void setProtocol_name(String protocol_name) {
        this.protocol_name = protocol_name;
    }
    @Column(name = "quai_mang_dept")
    public String getQuai_mang_dept() {
        return quai_mang_dept;
    }

    public void setQuai_mang_dept(String quai_mang_dept) {
        this.quai_mang_dept = quai_mang_dept;
    }
    @Column(name = "info_mang_dept")
    public String getInfo_mang_dept() {
        return info_mang_dept;
    }

    public void setInfo_mang_dept(String info_mang_dept) {
        this.info_mang_dept = info_mang_dept;
    }
    @Column(name = "medi_service_dept")
    public String getMedi_service_dept() {
        return medi_service_dept;
    }

    public void setMedi_service_dept(String medi_service_dept) {
        this.medi_service_dept = medi_service_dept;
    }
    @Column(name = "server_type")
    public String getServer_type() {
        return server_type;
    }

    public void setServer_type(String server_type) {
        this.server_type = server_type;
    }
    @Column(name = "server_total")
    public String getServer_total() {
        return server_total;
    }

    public void setServer_total(String server_total) {
        this.server_total = server_total;
    }
    @Column(name = "server_ip")
    public String getServer_ip() {
        return server_ip;
    }

    public void setServer_ip(String server_ip) {
        this.server_ip = server_ip;
    }
    @Column(name = "mp_system_type")
    public String getMp_system_type() {
        return mp_system_type;
    }

    public void setMp_system_type(String mp_system_type) {
        this.mp_system_type = mp_system_type;
    }
    @Column(name = "mp_system_total")
    public String getMp_system_total() {
        return mp_system_total;
    }

    public void setMp_system_total(String mp_system_total) {
        this.mp_system_total = mp_system_total;
    }
    @Column(name = "tran_link")
    public String getTran_link() {
        return tran_link;
    }

    public void setTran_link(String tran_link) {
        this.tran_link = tran_link;
    }
    @Column(name = "tran_link_band")
    public String getTran_link_band() {
        return tran_link_band;
    }

    public void setTran_link_band(String tran_link_band) {
        this.tran_link_band = tran_link_band;
    }
    @Column(name = "server_system_name")
    public String getServer_system_name() {
        return server_system_name;
    }

    public void setServer_system_name(String server_system_name) {
        this.server_system_name = server_system_name;
    }
    @Column(name = "server_system_ip")
    public String getServer_system_ip() {
        return server_system_ip;
    }

    public void setServer_system_ip(String server_system_ip) {
        this.server_system_ip = server_system_ip;
    }
    @Column(name = "tech_manual")
    public String getTech_manual() {
        return tech_manual;
    }

    public void setTech_manual(String tech_manual) {
        this.tech_manual = tech_manual;
    }
    @Column(name = "server_manual")
    public String getServer_manual() {
        return server_manual;
    }

    public void setServer_manual(String server_manual) {
        this.server_manual = server_manual;
    }
    @Column(name = "secu_level")
    public String getSecu_level() {
        return secu_level;
    }

    public void setSecu_level(String secu_level) {
        this.secu_level = secu_level;
    }
    @Column(name = "secu_level_cert")
    public String getSecu_level_cert() {
        return secu_level_cert;
    }

    public void setSecu_level_cert(String secu_level_cert) {
        this.secu_level_cert = secu_level_cert;
    }
    @Column(name = "emr_level")
    public String getEmr_level() {
        return emr_level;
    }

    public void setEmr_level(String emr_level) {
        this.emr_level = emr_level;
    }
    @Column(name = "emr_level_cert")
    public String getEmr_level_cert() {
        return emr_level_cert;
    }

    public void setEmr_level_cert(String emr_level_cert) {
        this.emr_level_cert = emr_level_cert;
    }
    @Column(name = "zone_record_share")
    public String getZone_record_share() {
        return zone_record_share;
    }

    public void setZone_record_share(String zone_record_share) {
        this.zone_record_share = zone_record_share;
    }
    @Column(name = "prov_monitor")
    public String getProv_monitor() {
        return prov_monitor;
    }

    public void setProv_monitor(String prov_monitor) {
        this.prov_monitor = prov_monitor;
    }
    @Column(name = "prov_service")
    public String getProv_service() {
        return prov_service;
    }

    public void setProv_service(String prov_service) {
        this.prov_service = prov_service;
    }
    @Column(name = "server_func")
    public String getServer_func() {
        return server_func;
    }

    public void setServer_func(String server_func) {
        this.server_func = server_func;
    }
    @Column(name = "third_compeny_name")
    public String getThird_compeny_name() {
        return third_compeny_name;
    }

    public void setThird_compeny_name(String third_compeny_name) {
        this.third_compeny_name = third_compeny_name;
    }
    @Column(name = "third_compeny_code")
    public String getThird_compeny_code() {
        return third_compeny_code;
    }

    public void setThird_compeny_code(String third_compeny_code) {
        this.third_compeny_code = third_compeny_code;
    }
    @Column(name = "third_compeny_cert")
    public String getThird_compeny_cert() {
        return third_compeny_cert;
    }

    public void setThird_compeny_cert(String third_compeny_cert) {
        this.third_compeny_cert = third_compeny_cert;
    }
    @Column(name = "third_compeny_corp")
    public String getThird_compeny_corp() {
        return third_compeny_corp;
    }

    public void setThird_compeny_corp(String third_compeny_corp) {
        this.third_compeny_corp = third_compeny_corp;
    }
    @Column(name = "third_compeny_corp_id")
    public String getThird_compeny_corp_id() {
        return third_compeny_corp_id;
    }

    public void setThird_compeny_corp_id(String third_compeny_corp_id) {
        this.third_compeny_corp_id = third_compeny_corp_id;
    }
    @Column(name = "third_compeny_prot")
    public String getThird_compeny_prot() {
        return third_compeny_prot;
    }

    public void setThird_compeny_prot(String third_compeny_prot) {
        this.third_compeny_prot = third_compeny_prot;
    }
    @Column(name = "green_road")
    public String getGreen_road() {
        return green_road;
    }

    public void setGreen_road(String green_road) {
        this.green_road = green_road;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

}
